#include<stdio.h> 
#include<stdlib.h>
#include "gpa.h"


int main(void) 
{
	int cred1 = 0, cred2 = 0, cred3 = 0;
	double grad1 = 0.0, grad2 = 0.0, grad3 = 0.0;
	double gpa = 0.0;

	FILE* infile = NULL;
	infile = fopen("gpa_file.txt", "r"); /*open the file and read the file*/
	
	FILE* outfile = NULL;
	outfile = fopen("results_gpa_file.txt", "w");

	int class_id1 = 0, class_id2 = 0, class_id3 = 0;

	get_grade_point_infile(infile, &class_id1, &cred1, &grad1);

	if (class_id1 == 121)
	{
		printf("We are reading the first class credit and grade.\n");
		printf("%d %d %lf\n", class_id1, cred1, grad1);
	}

	get_grade_point_infile(infile, &class_id2, &cred2, &grad2);
	printf("%d %d %lf\n", class_id2, cred2, grad2);

	get_grade_point_infile(infile, &class_id3, &cred3, &grad3);
	printf("%d %d %lf\n", class_id3, cred3, grad3);

	/*printf("test the readin data %lf", grad1_infile);*/

	
	int sum_all_credit_main = 0;
	sum_all_credit_main = sum_credit(cred1, cred2, cred3);

	double sum_cred_grade_main = 0.0;
	sum_cred_grade_main = sum_credit_grade(cred1, cred2, cred3, grad1, grad2, grad3);


	gpa = calculate_gpa(sum_cred_grade_main, sum_all_credit_main);

	/*write out the data into a file*/
	fprintf(outfile, "Weighted Credits: %.2lf\nTotal Credits: %d\nGPA: %.2lf\n", sum_cred_grade_main, sum_all_credit_main, gpa);

	/*printf("The first credit %d and the grade %lf for this student", cred1, grad1);*/
	/*printf("Here is the GPA %lf", gpa);*/
	fclose(infile);
	fclose(outfile);

	return 0;

}


